
Redmine - Defect #3940

Git: The entry or revision was not found in the rebased repository

2009-09-29 03:41 - Alain  Beauvois

Status: Closed Start date: 2009-09-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

After a git rebase, the last revision in the master branch is handled incorrectly by redmin. if one clicks on the revision link, an error

message is displayed sayint that "The entry or revision was not found in the repository".

It is a revision that was created and commited after the branch creation.

Related issues:

Is duplicate of Redmine - Defect #7146: Git adapter lost commits before 7 day... Closed 2010-12-21

History

#1 - 2009-11-20 15:29 - Curtis Hall

Sounds like this:

http://www.redmine.org/boards/2/topics/9705

#9705

#2 - 2011-02-04 00:27 - Toshi MARUYAMA

- Subject changed from The entry or revision was not found in the repository to Git: The entry or revision was not found in the rebased repository

#3 - 2011-02-04 01:07 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

The reason is Redmine parse only 1 week before the last known commit.

Please see #7146.
